From f2fbac79ab6d2880929a3cdc8e021e53b01ee7e1 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 27 2020 21:47:55 +0000
Subject: [PATCH 938/2232] Merge pull request #328 from dtolnay/buck


Combine buck codegen steps into one run of cxxbridge
---

diff --git a/tools/buck/rust_cxx_bridge.bzl b/tools/buck/rust_cxx_bridge.bzl
index 5fa530b..4acc7c6 100644
--- a/tools/buck/rust_cxx_bridge.bzl
+++ b/tools/buck/rust_cxx_bridge.bzl
@@ -3,17 +3,21 @@ load("//tools/buck:genrule.bzl", "genrule")
 def rust_cxx_bridge(name, src, deps = []):
     genrule(
         name = "%s/header" % name,
-        srcs = [src],
         out = src + ".h",
-        cmd = "$(exe //:codegen) --header ${SRCS} > ${OUT}",
-        type = "cxxbridge",
+        cmd = "cp $(location :%s/generated)/generated.h ${OUT}" % name,
     )
 
     genrule(
         name = "%s/source" % name,
-        srcs = [src],
         out = src + ".cc",
-        cmd = "$(exe //:codegen) ${SRCS} > ${OUT}",
+        cmd = "cp $(location :%s/generated)/generated.cc ${OUT}" % name,
+    )
+
+    genrule(
+        name = "%s/generated" % name,
+        srcs = [src],
+        out = ".",
+        cmd = "$(exe //:codegen) ${SRCS} -o ${OUT}/generated.h -o ${OUT}/generated.cc",
         type = "cxxbridge",
     )
 

